Makefile.in | Makefile.in | |||
---|---|---|---|---|
# Makefile.in generated by automake 1.12.1 from Makefile.am. | # Makefile.in generated by automake 1.14.1 from Makefile.am. | |||
# @configure_input@ | # @configure_input@ | |||
# Copyright (C) 1994-2012 Free Software Foundation, Inc. | # Copyright (C) 1994-2013 Free Software Foundation, Inc. | |||
# This Makefile.in is free software; the Free Software Foundation | # This Makefile.in is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# This program is distributed in the hope that it will be useful, | # This program is distributed in the hope that it will be useful, | |||
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |||
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |||
# PARTICULAR PURPOSE. | # PARTICULAR PURPOSE. | |||
@SET_MAKE@ | @SET_MAKE@ | |||
VPATH = @srcdir@ | VPATH = @srcdir@ | |||
am__make_dryrun = \ | am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)' | |||
{ \ | am__make_running_with_option = \ | |||
am__dry=no; \ | case $${target_option-} in \ | |||
?) ;; \ | ||||
*) echo "am__make_running_with_option: internal error: invalid" \ | ||||
"target option '$${target_option-}' specified" >&2; \ | ||||
exit 1;; \ | ||||
esac; \ | ||||
has_opt=no; \ | ||||
sane_makeflags=$$MAKEFLAGS; \ | ||||
if $(am__is_gnu_make); then \ | ||||
sane_makeflags=$$MFLAGS; \ | ||||
else \ | ||||
case $$MAKEFLAGS in \ | case $$MAKEFLAGS in \ | |||
*\\[\ \ ]*) \ | *\\[\ \ ]*) \ | |||
echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \ | bs=\\; \ | |||
| grep '^AM OK$$' >/dev/null || am__dry=yes;; \ | sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \ | |||
*) \ | | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \ | |||
for am__flg in $$MAKEFLAGS; do \ | esac; \ | |||
case $$am__flg in \ | fi; \ | |||
*=*|--*) ;; \ | skip_next=no; \ | |||
*n*) am__dry=yes; break;; \ | strip_trailopt () \ | |||
esac; \ | { \ | |||
done;; \ | flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \ | |||
}; \ | ||||
for flg in $$sane_makeflags; do \ | ||||
test $$skip_next = yes && { skip_next=no; continue; }; \ | ||||
case $$flg in \ | ||||
*=*|--*) continue;; \ | ||||
-*I) strip_trailopt 'I'; skip_next=yes;; \ | ||||
-*I?*) strip_trailopt 'I';; \ | ||||
-*O) strip_trailopt 'O'; skip_next=yes;; \ | ||||
-*O?*) strip_trailopt 'O';; \ | ||||
-*l) strip_trailopt 'l'; skip_next=yes;; \ | ||||
-*l?*) strip_trailopt 'l';; \ | ||||
-[dEDm]) skip_next=yes;; \ | ||||
-[JT]) skip_next=yes;; \ | ||||
esac; \ | esac; \ | |||
test $$am__dry = yes; \ | case $$flg in \ | |||
} | *$$target_option*) has_opt=yes; break;; \ | |||
esac; \ | ||||
done; \ | ||||
test $$has_opt = yes | ||||
am__make_dryrun = (target_option=n; $(am__make_running_with_option)) | ||||
am__make_keepgoing = (target_option=k; $(am__make_running_with_option)) | ||||
pkgdatadir = $(datadir)/@PACKAGE@ | pkgdatadir = $(datadir)/@PACKAGE@ | |||
pkgincludedir = $(includedir)/@PACKAGE@ | pkgincludedir = $(includedir)/@PACKAGE@ | |||
pkglibdir = $(libdir)/@PACKAGE@ | pkglibdir = $(libdir)/@PACKAGE@ | |||
pkglibexecdir = $(libexecdir)/@PACKAGE@ | pkglibexecdir = $(libexecdir)/@PACKAGE@ | |||
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd | |||
install_sh_DATA = $(install_sh) -c -m 644 | install_sh_DATA = $(install_sh) -c -m 644 | |||
install_sh_PROGRAM = $(install_sh) -c | install_sh_PROGRAM = $(install_sh) -c | |||
install_sh_SCRIPT = $(install_sh) -c | install_sh_SCRIPT = $(install_sh) -c | |||
INSTALL_HEADER = $(INSTALL_DATA) | INSTALL_HEADER = $(INSTALL_DATA) | |||
transform = $(program_transform_name) | transform = $(program_transform_name) | |||
skipping to change at line 56 | skipping to change at line 84 | |||
POST_INSTALL = : | POST_INSTALL = : | |||
NORMAL_UNINSTALL = : | NORMAL_UNINSTALL = : | |||
PRE_UNINSTALL = : | PRE_UNINSTALL = : | |||
POST_UNINSTALL = : | POST_UNINSTALL = : | |||
build_triplet = @build@ | build_triplet = @build@ | |||
host_triplet = @host@ | host_triplet = @host@ | |||
@COND_XZ_TRUE@am__append_1 = xz | @COND_XZ_TRUE@am__append_1 = xz | |||
@COND_LZMAINFO_TRUE@am__append_2 = lzmainfo | @COND_LZMAINFO_TRUE@am__append_2 = lzmainfo | |||
@COND_SCRIPTS_TRUE@am__append_3 = scripts | @COND_SCRIPTS_TRUE@am__append_3 = scripts | |||
subdir = src | subdir = src | |||
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in | DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am | |||
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 | |||
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \ | am__aclocal_m4_deps = $(top_srcdir)/m4/ax_pthread.m4 \ | |||
$(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \ | $(top_srcdir)/m4/getopt.m4 $(top_srcdir)/m4/gettext.m4 \ | |||
$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \ | $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \ | |||
$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \ | $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \ | |||
$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \ | $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \ | |||
$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \ | $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \ | |||
$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \ | $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \ | |||
$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/posix-shell.m4 \ | $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \ | |||
$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/tuklib_common.m4 \ | $(top_srcdir)/m4/posix-shell.m4 $(top_srcdir)/m4/progtest.m4 \ | |||
$(top_srcdir)/m4/tuklib_common.m4 \ | ||||
$(top_srcdir)/m4/tuklib_cpucores.m4 \ | $(top_srcdir)/m4/tuklib_cpucores.m4 \ | |||
$(top_srcdir)/m4/tuklib_integer.m4 \ | $(top_srcdir)/m4/tuklib_integer.m4 \ | |||
$(top_srcdir)/m4/tuklib_mbstr.m4 \ | $(top_srcdir)/m4/tuklib_mbstr.m4 \ | |||
$(top_srcdir)/m4/tuklib_physmem.m4 \ | $(top_srcdir)/m4/tuklib_physmem.m4 \ | |||
$(top_srcdir)/m4/tuklib_progname.m4 \ | $(top_srcdir)/m4/tuklib_progname.m4 \ | |||
$(top_srcdir)/m4/visibility.m4 $(top_srcdir)/configure.ac | $(top_srcdir)/m4/visibility.m4 $(top_srcdir)/configure.ac | |||
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ | |||
$(ACLOCAL_M4) | $(ACLOCAL_M4) | |||
mkinstalldirs = $(install_sh) -d | mkinstalldirs = $(install_sh) -d | |||
CONFIG_HEADER = $(top_builddir)/config.h | CONFIG_HEADER = $(top_builddir)/config.h | |||
CONFIG_CLEAN_FILES = | CONFIG_CLEAN_FILES = | |||
CONFIG_CLEAN_VPATH_FILES = | CONFIG_CLEAN_VPATH_FILES = | |||
AM_V_P = $(am__v_P_@AM_V@) | ||||
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@) | ||||
am__v_P_0 = false | ||||
am__v_P_1 = : | ||||
AM_V_GEN = $(am__v_GEN_@AM_V@) | ||||
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@) | ||||
am__v_GEN_0 = @echo " GEN " $@; | ||||
am__v_GEN_1 = | ||||
AM_V_at = $(am__v_at_@AM_V@) | ||||
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@) | ||||
am__v_at_0 = @ | ||||
am__v_at_1 = | ||||
SOURCES = | SOURCES = | |||
DIST_SOURCES = | DIST_SOURCES = | |||
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \ | RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \ | |||
html-recursive info-recursive install-data-recursive \ | ctags-recursive dvi-recursive html-recursive info-recursive \ | |||
install-dvi-recursive install-exec-recursive \ | install-data-recursive install-dvi-recursive \ | |||
install-html-recursive install-info-recursive \ | install-exec-recursive install-html-recursive \ | |||
install-pdf-recursive install-ps-recursive install-recursive \ | install-info-recursive install-pdf-recursive \ | |||
installcheck-recursive installdirs-recursive pdf-recursive \ | install-ps-recursive install-recursive installcheck-recursive \ | |||
ps-recursive uninstall-recursive | installdirs-recursive pdf-recursive ps-recursive \ | |||
tags-recursive uninstall-recursive | ||||
am__can_run_installinfo = \ | am__can_run_installinfo = \ | |||
case $$AM_UPDATE_INFO_DIR in \ | case $$AM_UPDATE_INFO_DIR in \ | |||
n|no|NO) false;; \ | n|no|NO) false;; \ | |||
*) (install-info --version) >/dev/null 2>&1;; \ | *) (install-info --version) >/dev/null 2>&1;; \ | |||
esac | esac | |||
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ | |||
distclean-recursive maintainer-clean-recursive | distclean-recursive maintainer-clean-recursive | |||
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \ | am__recursive_targets = \ | |||
$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \ | $(RECURSIVE_TARGETS) \ | |||
$(RECURSIVE_CLEAN_TARGETS) \ | ||||
$(am__extra_recursive_targets) | ||||
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \ | ||||
distdir | distdir | |||
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) | ||||
# Read a list of newline-separated strings from the standard input, | ||||
# and print each of them once, without duplicates. Input order is | ||||
# *not* preserved. | ||||
am__uniquify_input = $(AWK) '\ | ||||
BEGIN { nonempty = 0; } \ | ||||
{ items[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in items) print i; }; } \ | ||||
' | ||||
# Make sure the list of sources is unique. This is necessary because, | ||||
# e.g., the same source file might be shared among _SOURCES variables | ||||
# for different programs/libraries. | ||||
am__define_uniq_tagged_files = \ | ||||
list='$(am__tagged_files)'; \ | ||||
unique=`for i in $$list; do \ | ||||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | $(am__uniquify_input)` | ||||
ETAGS = etags | ETAGS = etags | |||
CTAGS = ctags | CTAGS = ctags | |||
DIST_SUBDIRS = liblzma xzdec xz lzmainfo scripts | DIST_SUBDIRS = liblzma xzdec xz lzmainfo scripts | |||
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) | |||
am__relativize = \ | am__relativize = \ | |||
dir0=`pwd`; \ | dir0=`pwd`; \ | |||
sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | sed_first='s,^\([^/]*\)/.*$$,\1,'; \ | |||
sed_rest='s,^[^/]*/*,,'; \ | sed_rest='s,^[^/]*/*,,'; \ | |||
sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | sed_last='s,^.*/\([^/]*\)$$,\1,'; \ | |||
sed_butlast='s,/*[^/]*$$,,'; \ | sed_butlast='s,/*[^/]*$$,,'; \ | |||
skipping to change at line 130 | skipping to change at line 192 | |||
fi; \ | fi; \ | |||
dir0="$$dir0"/"$$first"; \ | dir0="$$dir0"/"$$first"; \ | |||
fi; \ | fi; \ | |||
fi; \ | fi; \ | |||
dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \ | |||
done; \ | done; \ | |||
reldir="$$dir2" | reldir="$$dir2" | |||
ACLOCAL = @ACLOCAL@ | ACLOCAL = @ACLOCAL@ | |||
AMTAR = @AMTAR@ | AMTAR = @AMTAR@ | |||
AM_CFLAGS = @AM_CFLAGS@ | AM_CFLAGS = @AM_CFLAGS@ | |||
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@ | ||||
AR = @AR@ | AR = @AR@ | |||
AS = @AS@ | AS = @AS@ | |||
AUTOCONF = @AUTOCONF@ | AUTOCONF = @AUTOCONF@ | |||
AUTOHEADER = @AUTOHEADER@ | AUTOHEADER = @AUTOHEADER@ | |||
AUTOMAKE = @AUTOMAKE@ | AUTOMAKE = @AUTOMAKE@ | |||
AWK = @AWK@ | AWK = @AWK@ | |||
CC = @CC@ | CC = @CC@ | |||
CCAS = @CCAS@ | CCAS = @CCAS@ | |||
CCASDEPMODE = @CCASDEPMODE@ | CCASDEPMODE = @CCASDEPMODE@ | |||
CCASFLAGS = @CCASFLAGS@ | CCASFLAGS = @CCASFLAGS@ | |||
skipping to change at line 158 | skipping to change at line 221 | |||
DLLTOOL = @DLLTOOL@ | DLLTOOL = @DLLTOOL@ | |||
DSYMUTIL = @DSYMUTIL@ | DSYMUTIL = @DSYMUTIL@ | |||
DUMPBIN = @DUMPBIN@ | DUMPBIN = @DUMPBIN@ | |||
ECHO_C = @ECHO_C@ | ECHO_C = @ECHO_C@ | |||
ECHO_N = @ECHO_N@ | ECHO_N = @ECHO_N@ | |||
ECHO_T = @ECHO_T@ | ECHO_T = @ECHO_T@ | |||
EGREP = @EGREP@ | EGREP = @EGREP@ | |||
EXEEXT = @EXEEXT@ | EXEEXT = @EXEEXT@ | |||
FGREP = @FGREP@ | FGREP = @FGREP@ | |||
GETOPT_H = @GETOPT_H@ | GETOPT_H = @GETOPT_H@ | |||
GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@ | ||||
GMSGFMT = @GMSGFMT@ | GMSGFMT = @GMSGFMT@ | |||
GMSGFMT_015 = @GMSGFMT_015@ | GMSGFMT_015 = @GMSGFMT_015@ | |||
GREP = @GREP@ | GREP = @GREP@ | |||
HAVE_VISIBILITY = @HAVE_VISIBILITY@ | HAVE_VISIBILITY = @HAVE_VISIBILITY@ | |||
INSTALL = @INSTALL@ | INSTALL = @INSTALL@ | |||
INSTALL_DATA = @INSTALL_DATA@ | INSTALL_DATA = @INSTALL_DATA@ | |||
INSTALL_PROGRAM = @INSTALL_PROGRAM@ | INSTALL_PROGRAM = @INSTALL_PROGRAM@ | |||
INSTALL_SCRIPT = @INSTALL_SCRIPT@ | INSTALL_SCRIPT = @INSTALL_SCRIPT@ | |||
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ | |||
INTLLIBS = @INTLLIBS@ | INTLLIBS = @INTLLIBS@ | |||
skipping to change at line 218 | skipping to change at line 282 | |||
RANLIB = @RANLIB@ | RANLIB = @RANLIB@ | |||
RC = @RC@ | RC = @RC@ | |||
SED = @SED@ | SED = @SED@ | |||
SET_MAKE = @SET_MAKE@ | SET_MAKE = @SET_MAKE@ | |||
SHELL = @SHELL@ | SHELL = @SHELL@ | |||
STRIP = @STRIP@ | STRIP = @STRIP@ | |||
USE_NLS = @USE_NLS@ | USE_NLS = @USE_NLS@ | |||
VERSION = @VERSION@ | VERSION = @VERSION@ | |||
XGETTEXT = @XGETTEXT@ | XGETTEXT = @XGETTEXT@ | |||
XGETTEXT_015 = @XGETTEXT_015@ | XGETTEXT_015 = @XGETTEXT_015@ | |||
XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@ | ||||
abs_builddir = @abs_builddir@ | abs_builddir = @abs_builddir@ | |||
abs_srcdir = @abs_srcdir@ | abs_srcdir = @abs_srcdir@ | |||
abs_top_builddir = @abs_top_builddir@ | abs_top_builddir = @abs_top_builddir@ | |||
abs_top_srcdir = @abs_top_srcdir@ | abs_top_srcdir = @abs_top_srcdir@ | |||
ac_ct_AR = @ac_ct_AR@ | ac_ct_AR = @ac_ct_AR@ | |||
ac_ct_CC = @ac_ct_CC@ | ac_ct_CC = @ac_ct_CC@ | |||
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ | ac_ct_DUMPBIN = @ac_ct_DUMPBIN@ | |||
am__include = @am__include@ | am__include = @am__include@ | |||
am__leading_dot = @am__leading_dot@ | am__leading_dot = @am__leading_dot@ | |||
am__quote = @am__quote@ | am__quote = @am__quote@ | |||
skipping to change at line 274 | skipping to change at line 339 | |||
sharedstatedir = @sharedstatedir@ | sharedstatedir = @sharedstatedir@ | |||
srcdir = @srcdir@ | srcdir = @srcdir@ | |||
sysconfdir = @sysconfdir@ | sysconfdir = @sysconfdir@ | |||
target_alias = @target_alias@ | target_alias = @target_alias@ | |||
top_build_prefix = @top_build_prefix@ | top_build_prefix = @top_build_prefix@ | |||
top_builddir = @top_builddir@ | top_builddir = @top_builddir@ | |||
top_srcdir = @top_srcdir@ | top_srcdir = @top_srcdir@ | |||
xz = @xz@ | xz = @xz@ | |||
SUBDIRS = liblzma xzdec $(am__append_1) $(am__append_2) \ | SUBDIRS = liblzma xzdec $(am__append_1) $(am__append_2) \ | |||
$(am__append_3) | $(am__append_3) | |||
EXTRA_DIST = common | EXTRA_DIST = \ | |||
common/common_w32res.rc \ | ||||
common/mythread.h \ | ||||
common/sysdefs.h \ | ||||
common/tuklib_common.h \ | ||||
common/tuklib_config.h \ | ||||
common/tuklib_cpucores.c \ | ||||
common/tuklib_cpucores.h \ | ||||
common/tuklib_exit.c \ | ||||
common/tuklib_exit.h \ | ||||
common/tuklib_gettext.h \ | ||||
common/tuklib_integer.h \ | ||||
common/tuklib_mbstr_fw.c \ | ||||
common/tuklib_mbstr.h \ | ||||
common/tuklib_mbstr_width.c \ | ||||
common/tuklib_open_stdxxx.c \ | ||||
common/tuklib_open_stdxxx.h \ | ||||
common/tuklib_physmem.c \ | ||||
common/tuklib_physmem.h \ | ||||
common/tuklib_progname.c \ | ||||
common/tuklib_progname.h | ||||
all: all-recursive | all: all-recursive | |||
.SUFFIXES: | .SUFFIXES: | |||
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) | |||
@for dep in $?; do \ | @for dep in $?; do \ | |||
case '$(am__configure_deps)' in \ | case '$(am__configure_deps)' in \ | |||
*$$dep*) \ | *$$dep*) \ | |||
( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ | ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \ | |||
&& { if test -f $@; then exit 0; else break; fi; }; \ | && { if test -f $@; then exit 0; else break; fi; }; \ | |||
exit 1;; \ | exit 1;; \ | |||
skipping to change at line 321 | skipping to change at line 407 | |||
clean-libtool: | clean-libtool: | |||
-rm -rf .libs _libs | -rm -rf .libs _libs | |||
# This directory's subdirectories are mostly independent; you can cd | # This directory's subdirectories are mostly independent; you can cd | |||
# into them and run 'make' without going through this Makefile. | # into them and run 'make' without going through this Makefile. | |||
# To change the values of 'make' variables: instead of editing Makefiles, | # To change the values of 'make' variables: instead of editing Makefiles, | |||
# (1) if the variable is set in 'config.status', edit 'config.status' | # (1) if the variable is set in 'config.status', edit 'config.status' | |||
# (which will cause the Makefiles to be regenerated when you run 'make' ); | # (which will cause the Makefiles to be regenerated when you run 'make' ); | |||
# (2) otherwise, pass the desired values on the 'make' command line. | # (2) otherwise, pass the desired values on the 'make' command line. | |||
$(RECURSIVE_TARGETS): | $(am__recursive_targets): | |||
@fail= failcom='exit 1'; \ | @fail=; \ | |||
for f in x $$MAKEFLAGS; do \ | if $(am__make_keepgoing); then \ | |||
case $$f in \ | failcom='fail=yes'; \ | |||
*=* | --[!k]*);; \ | else \ | |||
*k*) failcom='fail=yes';; \ | failcom='exit 1'; \ | |||
esac; \ | fi; \ | |||
done; \ | ||||
dot_seen=no; \ | dot_seen=no; \ | |||
target=`echo $@ | sed s/-recursive//`; \ | target=`echo $@ | sed s/-recursive//`; \ | |||
list='$(SUBDIRS)'; for subdir in $$list; do \ | case "$@" in \ | |||
distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | ||||
*) list='$(SUBDIRS)' ;; \ | ||||
esac; \ | ||||
for subdir in $$list; do \ | ||||
echo "Making $$target in $$subdir"; \ | echo "Making $$target in $$subdir"; \ | |||
if test "$$subdir" = "."; then \ | if test "$$subdir" = "."; then \ | |||
dot_seen=yes; \ | dot_seen=yes; \ | |||
local_target="$$target-am"; \ | local_target="$$target-am"; \ | |||
else \ | else \ | |||
local_target="$$target"; \ | local_target="$$target"; \ | |||
fi; \ | fi; \ | |||
($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | |||
|| eval $$failcom; \ | || eval $$failcom; \ | |||
done; \ | done; \ | |||
if test "$$dot_seen" = "no"; then \ | if test "$$dot_seen" = "no"; then \ | |||
$(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \ | |||
fi; test -z "$$fail" | fi; test -z "$$fail" | |||
$(RECURSIVE_CLEAN_TARGETS): | ID: $(am__tagged_files) | |||
@fail= failcom='exit 1'; \ | $(am__define_uniq_tagged_files); mkid -fID $$unique | |||
for f in x $$MAKEFLAGS; do \ | tags: tags-recursive | |||
case $$f in \ | TAGS: tags | |||
*=* | --[!k]*);; \ | ||||
*k*) failcom='fail=yes';; \ | ||||
esac; \ | ||||
done; \ | ||||
dot_seen=no; \ | ||||
case "$@" in \ | ||||
distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \ | ||||
*) list='$(SUBDIRS)' ;; \ | ||||
esac; \ | ||||
rev=''; for subdir in $$list; do \ | ||||
if test "$$subdir" = "."; then :; else \ | ||||
rev="$$subdir $$rev"; \ | ||||
fi; \ | ||||
done; \ | ||||
rev="$$rev ."; \ | ||||
target=`echo $@ | sed s/-recursive//`; \ | ||||
for subdir in $$rev; do \ | ||||
echo "Making $$target in $$subdir"; \ | ||||
if test "$$subdir" = "."; then \ | ||||
local_target="$$target-am"; \ | ||||
else \ | ||||
local_target="$$target"; \ | ||||
fi; \ | ||||
($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \ | ||||
|| eval $$failcom; \ | ||||
done && test -z "$$fail" | ||||
tags-recursive: | ||||
list='$(SUBDIRS)'; for subdir in $$list; do \ | ||||
test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLA | ||||
GS) tags); \ | ||||
done | ||||
ctags-recursive: | ||||
list='$(SUBDIRS)'; for subdir in $$list; do \ | ||||
test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLA | ||||
GS) ctags); \ | ||||
done | ||||
cscopelist-recursive: | ||||
list='$(SUBDIRS)'; for subdir in $$list; do \ | ||||
test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLA | ||||
GS) cscopelist); \ | ||||
done | ||||
ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) | ||||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ||||
unique=`for i in $$list; do \ | ||||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | \ | ||||
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||||
mkid -fID $$unique | ||||
tags: TAGS | ||||
TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) | |||
$(TAGS_FILES) $(LISP) | ||||
set x; \ | set x; \ | |||
here=`pwd`; \ | here=`pwd`; \ | |||
if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \ | |||
include_option=--etags-include; \ | include_option=--etags-include; \ | |||
empty_fix=.; \ | empty_fix=.; \ | |||
else \ | else \ | |||
include_option=--include; \ | include_option=--include; \ | |||
empty_fix=; \ | empty_fix=; \ | |||
fi; \ | fi; \ | |||
list='$(SUBDIRS)'; for subdir in $$list; do \ | list='$(SUBDIRS)'; for subdir in $$list; do \ | |||
if test "$$subdir" = .; then :; else \ | if test "$$subdir" = .; then :; else \ | |||
test ! -f $$subdir/TAGS || \ | test ! -f $$subdir/TAGS || \ | |||
set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \ | |||
fi; \ | fi; \ | |||
done; \ | done; \ | |||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | $(am__define_uniq_tagged_files); \ | |||
unique=`for i in $$list; do \ | ||||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | \ | ||||
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||||
shift; \ | shift; \ | |||
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ | if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ | |||
test -n "$$unique" || unique=$$empty_fix; \ | test -n "$$unique" || unique=$$empty_fix; \ | |||
if test $$# -gt 0; then \ | if test $$# -gt 0; then \ | |||
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |||
"$$@" $$unique; \ | "$$@" $$unique; \ | |||
else \ | else \ | |||
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ | |||
$$unique; \ | $$unique; \ | |||
fi; \ | fi; \ | |||
fi | fi | |||
ctags: CTAGS | ctags: ctags-recursive | |||
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \ | ||||
$(TAGS_FILES) $(LISP) | CTAGS: ctags | |||
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ | ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files) | |||
unique=`for i in $$list; do \ | $(am__define_uniq_tagged_files); \ | |||
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ | ||||
done | \ | ||||
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \ | ||||
END { if (nonempty) { for (i in files) print i; }; }'`; \ | ||||
test -z "$(CTAGS_ARGS)$$unique" \ | test -z "$(CTAGS_ARGS)$$unique" \ | |||
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ | |||
$$unique | $$unique | |||
GTAGS: | GTAGS: | |||
here=`$(am__cd) $(top_builddir) && pwd` \ | here=`$(am__cd) $(top_builddir) && pwd` \ | |||
&& $(am__cd) $(top_srcdir) \ | && $(am__cd) $(top_srcdir) \ | |||
&& gtags -i $(GTAGS_ARGS) "$$here" | && gtags -i $(GTAGS_ARGS) "$$here" | |||
cscopelist: cscopelist-recursive | ||||
cscopelist: cscopelist-recursive $(HEADERS) $(SOURCES) $(LISP) | cscopelist-am: $(am__tagged_files) | |||
list='$(SOURCES) $(HEADERS) $(LISP)'; \ | list='$(am__tagged_files)'; \ | |||
case "$(srcdir)" in \ | case "$(srcdir)" in \ | |||
[\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ | [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \ | |||
*) sdir=$(subdir)/$(srcdir) ;; \ | *) sdir=$(subdir)/$(srcdir) ;; \ | |||
esac; \ | esac; \ | |||
for i in $$list; do \ | for i in $$list; do \ | |||
if test -f "$$i"; then \ | if test -f "$$i"; then \ | |||
echo "$(subdir)/$$i"; \ | echo "$(subdir)/$$i"; \ | |||
else \ | else \ | |||
echo "$$sdir/$$i"; \ | echo "$$sdir/$$i"; \ | |||
fi; \ | fi; \ | |||
skipping to change at line 624 | skipping to change at line 656 | |||
pdf: pdf-recursive | pdf: pdf-recursive | |||
pdf-am: | pdf-am: | |||
ps: ps-recursive | ps: ps-recursive | |||
ps-am: | ps-am: | |||
uninstall-am: | uninstall-am: | |||
.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) \ | .MAKE: $(am__recursive_targets) install-am install-strip | |||
cscopelist-recursive ctags-recursive install-am install-strip \ | ||||
tags-recursive | .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \ | |||
check-am clean clean-generic clean-libtool cscopelist-am ctags \ | ||||
.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \ | ctags-am distclean distclean-generic distclean-libtool \ | |||
all all-am check check-am clean clean-generic clean-libtool \ | distclean-tags distdir dvi dvi-am html html-am info info-am \ | |||
cscopelist cscopelist-recursive ctags ctags-recursive \ | install install-am install-data install-data-am install-dvi \ | |||
distclean distclean-generic distclean-libtool distclean-tags \ | ||||
distdir dvi dvi-am html html-am info info-am install \ | ||||
install-am install-data install-data-am install-dvi \ | ||||
install-dvi-am install-exec install-exec-am install-html \ | install-dvi-am install-exec install-exec-am install-html \ | |||
install-html-am install-info install-info-am install-man \ | install-html-am install-info install-info-am install-man \ | |||
install-pdf install-pdf-am install-ps install-ps-am \ | install-pdf install-pdf-am install-ps install-ps-am \ | |||
install-strip installcheck installcheck-am installdirs \ | install-strip installcheck installcheck-am installdirs \ | |||
installdirs-am maintainer-clean maintainer-clean-generic \ | installdirs-am maintainer-clean maintainer-clean-generic \ | |||
mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \ | mostlyclean mostlyclean-generic mostlyclean-libtool pdf pdf-am \ | |||
ps ps-am tags tags-recursive uninstall uninstall-am | ps ps-am tags tags-am uninstall uninstall-am | |||
# Tell versions [3.59,3.63) of GNU make to not export all variables. | # Tell versions [3.59,3.63) of GNU make to not export all variables. | |||
# Otherwise a system limit (for SysV at least) may be exceeded. | # Otherwise a system limit (for SysV at least) may be exceeded. | |||
.NOEXPORT: | .NOEXPORT: | |||
End of changes. 25 change blocks. | ||||
128 lines changed or deleted | 154 lines changed or added | |||
This html diff was produced by rfcdiff 1.41. The latest version is available from http://tools.ietf.org/tools/rfcdiff/ |